Index: EcnlProtoTool/trunk/webapp/webmrbc/src/main.rb
===================================================================
--- EcnlProtoTool/trunk/webapp/webmrbc/src/main.rb	(revision 270)
+++ EcnlProtoTool/trunk/webapp/webmrbc/src/main.rb	(revision 321)
@@ -1,44 +1,40 @@
-# TOPPERSãã­ã¸ã§ã¯ã
+# TOPPERSプロジェクト
 $MAKER_CODE = "\x00\x00\xB3"
 
-# ãã¼ããã­ãã¡ã¤ã«ãªãã¸ã§ã¯ã
+# ノードプロファイルオブジェクト
 class LocalNode < ECNL::ENode
 	def initialize(eojx3)
-		# åä½ç¶æ
-
+		# 動作状態
 		@operation_status = "\x30"
-		# ï¼¶ï½
-ï½ï½ï½ï½ï½æ
-å ±
+		# Ｖｅｒｓｉｏｎ情報
 		@version_information = "\x01\x0A\x01\x00"
-		# è­å¥çªå·
+		# 識別番号
 		@identification_number = 
-			# ä¸ä½éä¿¡å±¤IDãã£ã¼ã«ã
+			# 下位通信層IDフィールド
 			"\xFE" +
-			# ã¡ã¼ã«ã¼ã³ã¼ã
+			# メーカーコード
 			$MAKER_CODE +
-			# ã¦ãã¼ã¯IDé¨(ã¡ã¼ã«ã¼ç¬èª)
+			# ユニークID部(メーカー独自)
 			"\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00"
-		# ç°å¸¸å
-å®¹
+		# 異常内容
 		@fault_content = "\x00\x00"
-		# ã¡ã¼ã«ã¼ã³ã¼ã
+		# メーカーコード
 		@manufacturer_code = $MAKER_CODE
 
-		# ã¤ã³ã¹ã¿ã³ã¹æ°
+		# インスタンス数
 		@inst_count = "\x00\x00\x01"
-		# ã¯ã©ã¹æ°
+		# クラス数
 		@class_count = "\x00\x02"
-		# ã¤ã³ã¹ã¿ã³ã¹ãªã¹ã
+		# インスタンスリスト
 		@inst_list = "\x01\x05\xff\x01"
-		# ã¯ã©ã¹ãªã¹ã
+		# クラスリスト
 		@class_list = "\x01\x05\xff"
-		# ã¢ãã¦ã³ã¹ãã­ããã£ããã
+		# アナウンスプロパティマップ
 		@anno_prpmap = "\x01\xd5"
-		# SETãã­ããã£ããã
+		# SETプロパティマップ
 		@set_prpmap = "\x01\x80"
-		# GETãã­ããã£ããã
+		# GETプロパティマップ
 		@get_prpmap = "\x0c\x80\x82\x83\x89\x8a\x9d\x9e\x9f\xd3\xd4\xd6\xd7"
-		# ãã­ããã£å®ç¾©
+		# プロパティ定義
 		eprpinib_table = [
 			ECNL::EProperty.new(0x80, (ECNL::EPC_RULE_SET | ECNL::EPC_RULE_GET), @operation_status.length, :@operation_status, :onoff_prop_set, :data_prop_get),
@@ -60,8 +56,7 @@
 	end
 
-	# ç°å¸¸å
-å®¹è¨­å®é¢æ°
+	# 異常内容設定関数
 	def node_profile_object_fault_content_set(prop, src)
-		# ãµã¤ãºã2ä»¥å¤ã¯åãä»ããªã
+		# サイズが2以外は受け付けない
 		if (src.bytesize != 2) then
 			return 0
@@ -76,6 +71,6 @@
 		if ((val >= 0x0) && (val <= 0x3ec)) then
 			prop.set_exinf(val)
-			# TODO: ãã®ã®å ´åã®å¦ç
-		# ä¸è¨ä»¥å¤ã¯åãä»ããªã
+			# TODO: このの場合の処理
+		# 上記以外は受け付けない
 		else
 			return 0
@@ -85,6 +80,5 @@
 	end
 
-	# åä½ç¶æ
-ON/OFFè¨­å®é¢æ°ï¼0x30, 0x31ã®ã¿åãä»ãï¼
+	# 動作状態ON/OFF設定関数（0x30, 0x31のみ受け付け）
 	def onoff_prop_set(prop, src)
 		return 0
@@ -92,29 +86,25 @@
 end
 
-# ã³ã³ãã­ã¼ã©ã¼ã¯ã©ã¹
+# コントローラークラス
 class ControllerObj < ECNL::EObject
 	def initialize(eojx3, enod)
-		# åä½ç¶æ
-
+		# 動作状態
 		@operation_status = "\x30"
-		# è¨­ç½®å ´æ
+		# 設置場所
 		@installation_location = "\x01\x0A\x01\x00"
-		# è¦æ ¼ï¼¶ï½
-ï½ï½ï½ï½ï½æ
-å ±
+		# 規格Ｖｅｒｓｉｏｎ情報
 		@standard_version_information = "\x00\x00C\x00"
-		# ç°å¸¸çºçç¶æ
-
+		# 異常発生状態
 		@fault_status = "\x41"
-		# ã¡ã¼ã«ã¼ã³ã¼ã
+		# メーカーコード
 		@manufacturer_code = $MAKER_CODE
 
-		# ã¢ãã¦ã³ã¹ãã­ããã£ããã
+		# アナウンスプロパティマップ
 		@anno_prpmap = "\x03\x80\x81\x88"
-		# SETãã­ããã£ããã
+		# SETプロパティマップ
 		@set_prpmap = "\x04\x80\x81\x97\x98"
-		# GETãã­ããã£ããã
+		# GETプロパティマップ
 		@get_prpmap = "\x0a\x80\x81\x82\x88\x8a\x97\x98\x9d\x9e\x9f"
-		# ãã­ããã£å®ç¾©
+		# プロパティ定義
 		eprpinib_table = [
 			ECNL::EProperty.new(0x80, (ECNL::EPC_RULE_SET | ECNL::EPC_RULE_GET | ECNL::EPC_ANNOUNCE), @operation_status.length, :@operation_status, :onoff_prop_set, :data_prop_get),
@@ -133,8 +123,7 @@
 	end
 
-	# åä½ç¶æ
-ON/OFFè¨­å®é¢æ°ï¼0x30, 0x31ã®ã¿åãä»ãï¼
+	# 動作状態ON/OFF設定関数（0x30, 0x31のみ受け付け）
 	def onoff_prop_set(prop, src)
-		# ãµã¤ãºãï¼ä»¥å¤ã¯åãä»ããªã
+		# サイズが１以外は受け付けない
 		if (src.bytesize != 1) then
 			return 0
@@ -146,15 +135,15 @@
 
 		case (src.getbyte(0))
-		# ONã®å ´å
+		# ONの場合
 		when 0x30 then
 			prop.set_exinf(src)
-			# LEDã®"."ãON
+			# LEDの"."をON
 			digitalWrite(1, 1)
-		# OFFã®å ´å
+		# OFFの場合
 		when 0x31 then
 			prop.set_exinf(src)
-			# LEDã®"."ãOFF
+			# LEDの"."をOFF
 			digitalWrite(1, 0)
-		# 0x30ã0x31ä»¥å¤ã¯åãä»ããªã
+		# 0x30か0x31以外は受け付けない
 		else
 			return 0
@@ -164,8 +153,7 @@
 	end
 
-	# ç°å¸¸çºçç¶æ
-è¨­å®é¢æ°ï¼0x41, 0x42ã®ã¿åãä»ãï¼
+	# 異常発生状態設定関数（0x41, 0x42のみ受け付け）
 	def alarm_prop_set(prop, src)
-		# ãµã¤ãºãï¼ä»¥å¤ã¯åãä»ããªã
+		# サイズが１以外は受け付けない
 		if (src.bytesize != 1) then
 			return 0
@@ -177,8 +165,8 @@
 
 		case (src.getbyte(0))
-		# ç°å¸¸çºçãã/ãªãã®å ´å
+		# 異常発生あり/なしの場合
 		when 0x41,0x42 then
 			prop.set_exinf(src)
-		# 0x41ã0x42ä»¥å¤ã¯åãä»ããªã
+		# 0x41か0x42以外は受け付けない
 		else
 			return 0
@@ -188,7 +176,7 @@
 	end
 
-	# ç¾å¨å¹´ææ¥åå¾é¢æ°
+	# 現在年月日取得関数
 	def date_prop_get(prop, size)
-		# ãµã¤ãºãï¼ä»¥å¤ã¯åãä»ããªã
+		# サイズが４以外は受け付けない
 		if (size != 4) then
 			return 0
@@ -200,7 +188,7 @@
 	end
 
-	# ç¾å¨å¹´ææ¥è¨­å®é¢æ°
+	# 現在年月日設定関数
 	def date_prop_set(prop, src)
-		# ãµã¤ãºãï¼ä»¥å¤ã¯åãä»ããªã
+		# サイズが４以外は受け付けない
 		if (src.bytesize != 4) then
 			return 0
@@ -216,7 +204,7 @@
 	end
 
-	# ç¾å¨æå»åå¾é¢æ°
+	# 現在時刻取得関数
 	def time_prop_get(prop, size)
-		# ãµã¤ãºãï¼ä»¥å¤ã¯åãä»ããªã
+		# サイズが２以外は受け付けない
 		if (size != 2) then
 			return 0
@@ -228,7 +216,7 @@
 	end
 
-	# ç¾å¨æå»è¨­å®é¢æ°
+	# 現在時刻設定関数
 	def time_prop_set(prop, src)
-		# ãµã¤ãºãï¼ä»¥å¤ã¯åãä»ããªã
+		# サイズが２以外は受け付けない
 		if (src.bytesize != 2) then
 			return 0
@@ -252,5 +240,5 @@
 		super()
 
-		# LEDãOFF
+		# LEDをOFF
 		digitalWrite(2, 0)
 
@@ -267,5 +255,5 @@
 		until itr.is_eof do
 			if itr.epc == 0xD6 then
-				# LEDãON
+				# LEDをON
 				digitalWrite(2, 1)
 			end
@@ -285,5 +273,5 @@
 
 	def snd_msg(ep, data)
-		# éä¿¡ã¬ã¤ã¤ã¼ã¸éä¿¡
+		# 通信レイヤーへ送信
 		TargetBoard::snd_msg(ep, data)
 	end
@@ -318,5 +306,5 @@
 	end
 
-	# éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ã®åããã®ãæ¤ç´¢
+	# 通信レイヤーアドレスの同じものを検索
 	def get_remote_id(ep)
 		id = ECNL::ENOD_REMOTE_ID - 1
@@ -336,5 +324,5 @@
 	end
 
-	# å¯¾å¿ãããªã¢ã¼ããã¼ããæ¤ç´¢
+	# 対応するリモートノードを検索
 	def set_remote_addr(edata, ep)
 		id = ECNL::ENOD_REMOTE_ID - 1
@@ -348,5 +336,5 @@
 			end
 
-			# å¯¾å¿ãããªã¢ã¼ããã¼ããããã°éä¿¡ã¬ã¤ã¤ã¼ã¢ãã¬ã¹ãè¨­å®
+			# 対応するリモートノードがあれば通信レイヤーアドレスを設定
 			@enodadrb_table[id - ECNL::ENOD_REMOTE_ID] = ep
 
@@ -357,5 +345,5 @@
 	end
 
-	# ç©ºãé åãæ¢ãã¦èªåç»é²
+	# 空き領域を探して自動登録
 	def add_remote_addr(edata, ep)
 		id = ECNL::ENOD_REMOTE_ID - 1
@@ -384,8 +372,7 @@
 ctrl = Controller.new()
 
-# ã¡ã¤ã³ã«ã¼ã
+# メインループ
 while (true) do
-	# ã¡ãã»ã¼ã¸å¾
-ã¡
+	# メッセージ待ち
 	ret = TargetBoard::wait_msg(ctrl.timer)
 	if !ret then
@@ -393,11 +380,10 @@
 	end
 
-	# çµéæéã®è¨ç®
+	# 経過時間の計算
 	ctrl.progress ret[0]
 
-	# æ»ãå¤ãï¼ã¤ãªã
+	# 戻り値が２つなら
 	if ret.length == 2 then
-		# å
-é¨ã¤ãã³ã
+		# 内部イベント
 		case (ret[1])
 		when 1 then
@@ -406,11 +392,11 @@
 			ctrl.ntf_inl
 		end
-	# æ»ãå¤ãï¼ã¤ãªã
+	# 戻り値が３つなら
 	elsif ret.length == 3 then
-		# éä¿¡ã¬ã¤ã¤ã¼ããã®ã¡ãã»ã¼ã¸ï¼éä¿¡ç«¯ç¹ã¨é»æï¼
+		# 通信レイヤーからのメッセージ（通信端点と電文）
 		ctrl.recv_msg(ret[1], ret[2])
 	end
 
-	# ã¿ã¤ã ã¢ã¦ãã®å¦çãããã°è¡ã
+	# タイムアウトの処理があれば行う
 	ctrl.call_timeout
 end
